Loading...
Searching...
No Matches
pdftron::PDF::Redactor Class Reference

`#include <Redactor.h>`

## Public Types
typedef pdftron::PDF::Redaction | Redaction
typedef pdftron::PDF::Appearance | Appearance

## Static Public Member Functions
static void | Redact (PDFDoc &doc, const std::vector< Redaction > &red_arr, const Appearance &app, bool ext_neg_mode, bool page_coord_sys)
static void | Redact (PDFDoc &doc, const std::vector< Redaction > &red_arr, const Appearance &app, bool ext_neg_mode)
static void | Redact (PDFDoc &doc, const std::vector< Redaction > &red_arr, const Appearance &app)
static void | Redact (PDFDoc &doc, const std::vector< Redaction > &red_arr)

## Detailed Description

PDF Redactor is a separately licensable Add-on that offers options to remove (not just covering or obscuring) content within a region of PDF. With printed pages, redaction involves blacking-out or cutting-out areas of the printed page. With electronic documents that use formats such as PDF, redaction typically involves removing sensitive content within documents for safe distribution to courts, patent and government institutions, the media, customers, vendors or any other audience with restricted access to the content.

The redaction process in PDFNet consists of two steps:

a) Content identification: A user applies redact annotations that specify the pieces or regions of content that should be removed. The content for redaction can be identified either interactively (e.g. using 'pdftron.PDF.PDFViewCtrl' as shown in PDFView sample) or programmatically (e.g. using 'pdftron.PDF.TextSearch' or 'pdftron.PDF.TextExtractor'). Up until the next step is performed, the user can see, move and redefine these annotations. b) Content removal: Using 'pdftron.PDF.Redactor.Redact()' the user instructs PDFNet to apply the redact regions, after which the content in the area specified by the redact annotations is removed. The redaction function includes number of options to control the style of the redaction overlay (including color, text, font, border, transparency, etc.).

PDFTron Redactor makes sure that if a portion of an image, text, or vector graphics is contained in a redaction region, that portion of the image or path data is destroyed and is not simply hidden with clipping or image masks. PDFNet API can also be used to review and remove metadata and other content that can exist in a PDF document, including XML Forms Architecture (XFA) content and Extensible Metadata Platform (XMP) content.

Definition at line 49 of file Redactor.h.

## Member Typedef Documentation

## ◆ Appearance

typedef pdftron::PDF::Appearance pdftron::PDF::Redactor::Appearance

Definition at line 53 of file Redactor.h.

## ◆ Redaction

typedef pdftron::PDF::Redaction pdftron::PDF::Redactor::Redaction

Definition at line 52 of file Redactor.h.

## Member Function Documentation

## ◆ Redact() [1/4]

void pdftron::PDF::Redactor::Redact | ( | PDFDoc & | doc,
|  | const std::vector< Redaction > & | red_arr )
| static

## ◆ Redact() [2/4]

void pdftron::PDF::Redactor::Redact | ( | PDFDoc & | doc,
|  | const std::vector< Redaction > & | red_arr,
|  | const Appearance & | app )
| static

## ◆ Redact() [3/4]

void pdftron::PDF::Redactor::Redact | ( | PDFDoc & | doc,
|  | const std::vector< Redaction > & | red_arr,
|  | const Appearance & | app,
|  | bool | ext_neg_mode )
| static

## ◆ Redact() [4/4]

void pdftron::PDF::Redactor::Redact | ( | PDFDoc & | doc,
|  | const std::vector< Redaction > & | red_arr,
|  | const Appearance & | app,
|  | bool | ext_neg_mode,
|  | bool | page_coord_sys )
| static

Apply the redactions specified in red_array to the PDFDoc doc.

Parameters

  doc | - the document to redact
  red_arr | - an array of redaction regions.
  app | - optional parameter used to customize the appearance of the redaction overlay.
  ext_neg_mode | - if true, negative redactions expand beyond the page to remove content from other pages in the document. if false, the redaction will be localized to the given page.
  page_coord_sys | - if true, redaction coordinates are relative to the lower-left corner of the page, otherwise the redaction coordinates are defined in PDF user coordinate system (which may or may not coincide with page coordinates).

The documentation for this class was generated from the following file:

- PDF/Redactor.h